Audiences & Pixels
Create an audience
Meta (Custom/Lookalike) or Google (remarketing/CRM user list). Requires a connected ad account on the chosen platform. Requires scope ads:write.
POST
/
ads
/
audiences
Create an audience
curl --request POST \
--url https://api.smartlyq.com/v1/ads/audiences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "meta",
"name": "Website visitors - 30 days",
"subtype": "custom",
"description": "",
"retention_days": 30,
"customer_file_source": "USER_PROVIDED_ONLY",
"origin_audience_id": "",
"country": "US",
"ratio": 0.01,
"list_type": "rule_based",
"url_contains": "/"
}
'import requests
url = "https://api.smartlyq.com/v1/ads/audiences"
payload = {
"platform": "meta",
"name": "Website visitors - 30 days",
"subtype": "custom",
"description": "",
"retention_days": 30,
"customer_file_source": "USER_PROVIDED_ONLY",
"origin_audience_id": "",
"country": "US",
"ratio": 0.01,
"list_type": "rule_based",
"url_contains": "/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: 'meta',
name: 'Website visitors - 30 days',
subtype: 'custom',
description: '',
retention_days: 30,
customer_file_source: 'USER_PROVIDED_ONLY',
origin_audience_id: '',
country: 'US',
ratio: 0.01,
list_type: 'rule_based',
url_contains: '/'
})
};
fetch('https://api.smartlyq.com/v1/ads/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 8002,
"live": true
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields: content, platforms.",
"details": {
"fields": [
"content",
"platforms"
]
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}Authorizations
API key from Developer dashboard (Bearer token).
Body
application/json
Available options:
meta, google Example:
"meta"
Example:
"Website visitors - 30 days"
Meta: custom/lookalike/website_traffic/engagement. Google: rule_based/crm (maps to list_type).
Example:
"custom"
Example:
""
Example:
30
Meta lookalike/custom audiences only.
Example:
"USER_PROVIDED_ONLY"
Meta lookalike only - source audience to build the lookalike from.
Example:
""
Meta lookalike only.
Example:
"US"
Meta lookalike only - similarity ratio.
Example:
0.01
Google only.
Available options:
rule_based, crm Example:
"rule_based"
Google rule_based lists only.
Example:
"/"
⌘I
Create an audience

